Bug 220520 - sysutils/py-diffoscope: Update to 83
Summary: sysutils/py-diffoscope: Update to 83
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Ed Maste
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2017-07-06 15:49 UTC by Ed Maste
Modified: 2017-07-18 01:42 UTC (History)
1 user (show)

See Also:
koobs: maintainer-feedback+


Attachments
patch to update to diffoscope-83 (1.05 KB, patch)
2017-07-06 15:49 UTC, Ed Maste
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Maste freebsd_committer 2017-07-06 15:49:34 UTC
Created attachment 184133 [details]
patch to update to diffoscope-83

diffoscope 83 was released on 18 June 2017.
Comment 1 Kubilay Kocak freebsd_committer 2017-07-07 04:08:37 UTC
Thanks Ed, can you confirm that this change passes QA (portlint, poudriere, make test) please?
Comment 2 Ed Maste freebsd_committer 2017-07-07 04:18:46 UTC
portlint is clean and make test has a number of failures but they are consistent with the current v81 (and previous versions)
Comment 3 Kubilay Kocak freebsd_committer 2017-07-07 04:28:33 UTC
(In reply to Ed Maste from comment #2)

How did packaging (poudriere) tests go? 

Approved to commit if it's all good. Feel free to re-assign this issue to yourself (leaving me CC'd) to commit/close.
Comment 4 Ed Maste freebsd_committer 2017-07-17 20:58:24 UTC
poudriere testport looks clean

(although it would be nice if poudriere testport emitted a single "testport OK" at the end or such, instead of only individual "No pkg-plist issues found (check-plist)" etc.)
Comment 5 commit-hook freebsd_committer 2017-07-17 21:20:31 UTC
A commit references this bug:

Author: emaste
Date: Mon Jul 17 21:19:40 UTC 2017
New revision: 446117
URL: https://svnweb.freebsd.org/changeset/ports/446117

Log:
  sysutils/py-diffoscope: update to version 83

  PR:		220520
  Approved by:	koobs

Changes:
  head/sysutils/py-diffoscope/Makefile
  head/sysutils/py-diffoscope/distinfo
Comment 6 Kubilay Kocak freebsd_committer 2017-07-18 01:42:42 UTC
Assign to committer that resolved